curl --request PATCH \
--url https://api.geogen.io/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityId": "abc123def456",
"description": "Updated description for the entity"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"target": "<string>",
"targetType": "url",
"description": "<string>",
"language": "<string>",
"geolocation": "<string>",
"models": [
"<string>"
],
"isActive": true,
"createdAt": 123,
"updatedAt": 123
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"retryAfter": 123
}Entities
Entities update
PATCH
/
entities
curl --request PATCH \
--url https://api.geogen.io/v1/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entityId": "abc123def456",
"description": "Updated description for the entity"
}
'{
"success": true,
"data": {
"id": "<string>",
"name": "<string>",
"target": "<string>",
"targetType": "url",
"description": "<string>",
"language": "<string>",
"geolocation": "<string>",
"models": [
"<string>"
],
"isActive": true,
"createdAt": 123,
"updatedAt": 123
},
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"retryAfter": 123
}Authorizations
API key authentication. Format: Bearer wsk_your_api_key
Body
application/json
The ID of the entity to update
New website domain (e.g., example.com)
New entity description
New language code (e.g., 'en', 'fr', 'de')
New geolocation code (e.g., 'global', 'us', 'gb')
New array of model UUIDs from /v1/models. Must contain at least 1 model.

